Bug 1126438 - Titlebar not selectable - gnumeric, pcmanfm, sol, pnmixer, abiword, gramps
Summary: Titlebar not selectable - gnumeric, pcmanfm, sol, pnmixer, abiword, gramps
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 12:51 UTC by Steven Usdansky
Modified: 2015-12-02 16:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:20:19 UTC


Attachments (Terms of Use)

Description Steven Usdansky 2014-08-04 12:51:58 UTC
Description of problem: 

Clicking on the titebar of a gnumeric, pcmanfm, sol, or pnmixer fails to select, and actually lowers, that window. The minimize, maximize, and close buttons hence do nothing (as they are not selectable) The only way to select the window of interest is to click on the menubar. Pnmixer has no menubar; it's window is not selectable


Version-Release number of selected component (if applicable):

openbox-3.5.2-5.fc21.x86_64
gnumeric-1.12.17-1.fc21.x86_64
pcmanfm-1.2.1-1.fc21.x86_64
aisleriot-3.12.1-2.fc21.x86_64
pnmixer-0.5.1-8.fc21.x86_64
abiword-3.0.0-13.fc21.x86_64
gramps-4.1.0-2.fc21.noarch

How reproducible:

100%


Steps to Reproduce:

1. start LXDE with default (openbox) wm
2. open a pcmanfm window
3. try to move it using click-and-drag on the titlebar


Actual results:

Window lowers when titlebar clicked; buttons are not selectable


Expected results:

Window selected when titlebar clicked; buttons are selectable

Additional info:

The problem does not occur at all when using xfwm4 as the window manager with an LXDE desktop; nor does the problem occur with evince, file-roller, firefox, pidgin, gnome-mines, midori, geany, gftp, yumex. 

The problem appears with python (both python2.7 and python3.4) and Lua programs that use Gtk via Gobject introspection, but not with programs that use only Clutter

Comment 1 Fedora End Of Life 2015-11-04 15:16:36 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 03:20:21 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.